.search-popup {
    z-index: 99999;
    position: fixed;
    top: 0;
    left: 0;
    transform: translateY(-100%);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 80px 20px;
    background-color: rgba(#000, .8);
    transition: all .3s ease-in;

    &.open {
        transform: translateY(0);
    }

    form {
        position: relative;
        max-width: 700px;
        @include margin-auto;

        input[type="text"] {
            z-index: 1;
            position: relative;
            height: 70px;
            padding: 10px 20px;
            padding-left: 100px;
        }

        button[type="submit"] {
            z-index: 2;
            position: absolute;
            top: 0;
            left: 0;
            width: 70px;
            height: 100%;
            padding: 5px;
            font-size: 24px;
            margin-top: 0;
        }

        button[type="reset"] {
            z-index: 0;
            @include absoltopcenter;
            right: 0px;
            border: 0;
            background-color: transparent;
            color: $color-red;
            width: 70px;
            height: 100%;
            font-size: 40px;
            cursor: pointer;
            transition: right .5s ease-in, color .3s ease-out;
            transition-delay: right .3s;

            &:hover {
                color: #fff;
            }

        }
    }

    &.open form button[type="reset"] {
        right: -110px;

        @media (max-width: 991px) {
            top: auto;
            bottom: 100%;
            right: 0;
            transform: none;
            text-align: right;
        }
    }
}